asclock(1.0)

NAME
asclock - the AfterStep clock

SYNOPSIS
asclock [ -help] [-12 | -24] [-shape]
        [-position [+|-]x[+|-]y]
        [-exe program]
        [-led color]
        [-noblink] [-iconic]

DESCRIPTION
The asclock is a clock written to emulate the date/time application on the NEXTSTEP(tm) operating system. asclock supports multiple languages, military and AM/PM time formats, program execution, and the shape extension to X-Windows.

CONFIGURATION OPTIONS

-help
    prints the usage message:
            usage:  asclock [-options ...]
            where options include:
                -12                     12 hour format
                -24                     24 hour format
                -exe <program>          program to start on click
                -led <color>            color of the led
                -position [+|-]x[+|-]y  position of asclock
                -shape                  don't display groundplate
                -noblink                don't blink
                -iconic                 start up as icon

-12 or -24
    sets the desired time format to either twelve hour with AM/PM ( -12 ) or military time ( -24 ). If no option is given military time is used.

-shape
    turn on shaped window support for asclock. When this is turned on the asclock windows will only appear to be the led and date pad. By default shaped windows are turned off and the clock will appear on a 64 pixel by 64 pixel base.

-led <color>
    specifies the color of the led. To find out what colors are available, try showrgb

-position [+|-]x[+|-]y
    specifies the starting position of asclock. The [+|-] works like the standard X-Windows x/y geometry option.

-exe <program>
    specifies the application to start when the pointer is activated over asclock. To invoke applications with parameters, you have to set quotes around the command. See example below...

-noblink
    specifies if asclock should blink.

-iconic
    This gives weird output with AfterStep, so don't bother. It's for mwm and other wm's with no hint functionality.

INVOCATION
asclock can be called from one of many ways. The most common invocation is the command line:
	[user@host] ~% asclock -12 -exe 'xlock -mode hop' &
Another way to call asclock is from the window manager:
	*Wharf - - MaxSwallow "asclock"	asclock -shape -12&
This line, when placed in the .steprc file in the users home directory will cause asclock to use the shape extensions so that it will be a button on the Wharf (1) button bar under the afterstep (1) window manager.

COPYRIGHTS
Copyright 1996, Beat Christen <bchriste@iiic.ethz.ch>. Distributed under GNU GPL v2 ; see LICENSE file for more informations.

AUTHORS
Beat Christen <bchriste@iiic.ethz.ch> -- application

Dan Weeks <dan@mango.sfasu.edu> -- man page